define(
    [ 'jQuery', 'asyncSeries', 'testUtilities' ],
    function ($$, asyncSeries, testUtilities) {

        module("#1511/#1709 Skeleton App Validation");

        test('#2125 - a.I can see the header info', function () {
	        ok(true, "The tests are running.");

	        $(window).load(function () {
	            asyncSeries(function () {
	                afterElementLoad($("#calendar-specialty-input"), function () {
	                    // Given I am on the Clerk Request app main page
	                    ok($('#left-navigation').is(':visible'),
	                        "Header is visible");
	                });

	                // Then I can see the header info
	                ok($('#left-navigation:contains("Open Menu")').text(),
	                    "Then I can see the header bar");
	                return 1500;
	            }, function () {
	                ok($("#patient-search").is(':visible'),
	                    'Search input is visible');
	            });
	        });
        });
    });

 
